OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
Array< T > Struct Template Reference

`#include <PointPartitioner.h>`

## Public Types
using | Ptr = SharedPtr< Array >

## Public Member Functions
| Array (size_t size)
size_t | size () const
T * | data ()
const T * | data () const
void | clear ()

## Member Typedef Documentation

## ◆ Ptr

using Ptr = SharedPtr<Array>

## Constructor & Destructor Documentation

## ◆ Array()

Array | ( | size_t | size | ) |
| inline

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |
| inline

## ◆ data() [1/2]

T* data | ( |  | ) |
| inline

## ◆ data() [2/2]

const T* data | ( |  | ) | const
| inline

## ◆ size()

size_t size | ( |  | ) | const
| inline

The documentation for this struct was generated from the following file:

- PointPartitioner.h